=== rtlwifi/btcoexist/Makefile ===
btcoexist-objs :=	halbtc8723b2ant.o	\
			halbtcoutsrc.o		\
			halbtc8192e2ant.o	\
			halbtc8723b1ant.o	\
			halbtc8723b2ant.o	\
			halbtc8821a1ant.o	\
			halbtc8821a2ant.o	\
			halbtcoutsrc.o		\
			rtl_btc.o

obj-m += btcoexist.o
