=== rtlwifi/rtl8192c/Makefile ===
rtl8192c-common-objs :=		\
		main.o		\
		dm_common.o	\
		fw_common.o	\
		phy_common.o

obj-m += rtl8192c-common.o

ccflags-y += -D__CHECK_ENDIAN__
