=== rtlwifi/rtl8723be/Makefile ===
rtl8723be-objs :=		\
		dm.o		\
		fw.o		\
		hw.o		\
		led.o		\
		phy.o		\
		pwrseq.o	\
		pwrseqcmd.o	\
		rf.o		\
		sw.o		\
		table.o		\
		trx.o		\


obj-m += rtl8723be.o

ccflags-y += -D__CHECK_ENDIAN__
