=== debian/changelog ===
rtlwifi-dkms (1.1) trusty; urgency=medium

  * Cleanup fixperms.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Mon, 27 Jul 2015 16:17:01 +0800

rtlwifi-dkms (1.0) trusty; urgency=low

  * Automatically packaged by DKMS.
  * Fix rtl8723be disconnect problem. (LP: #1472547)
  * Commit: fe8e969.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Mon, 27 Jul 2015 14:33:57 +0800
