## rtlwifi-dkms 1.3

=== debian/changelog ===
rtlwifi-dkms (1.3) trusty; urgency=medium

  * Bump version

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 25 Nov 2016 15:19:42 +0800

rtlwifi-dkms (1.2) trusty; urgency=medium

  * Add BUILD_EXCLUSIVE_KERNEL to dkms.conf (LP: #1622896)
    Some APIs are deprecated in the newer kernel.

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 19 Oct 2016 10:34:02 +0800
