=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_NAME=rtlwifi
 NAME=rtlwifi
-VERSION=1.1
+VERSION=1.3
 
 configure: configure-stamp
 configure-stamp:
